/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.easybeans.deployment.xml.struct.common;

/**
 * Class representing ejb-ref elements used in Java EE components.
 * @author Florent Benoit
 */
public class EJBRef {

    /**
     * Name of this ejb-ref.
     */
    private String ejbRefName = null;

    /**
     * Type of this ejb-ref.
     */
    private String ejbRefType = null;

    /**
     * Remote class (interface).
     */
    private String remote = null;

    /**
     * EJB-Link.
     */
    private String ejbLink = null;

    /**
     * @return the ejb-link value
     */
    public String getEjbLink() {
        return ejbLink;
    }

    /**
     * Sets the ejb-link value.
     * @param ejbLink value of ejb-link element
     */
    public void setEjbLink(final String ejbLink) {
        this.ejbLink = ejbLink;
    }

    /**
     * @return name of this ejb-ref
     */
    public String getEjbRefName() {
        return ejbRefName;
    }

    /**
     * Sets the name of this ejb-ref.
     * @param ejbRefName name of this reference
     */
    public void setEjbRefName(final String ejbRefName) {
        this.ejbRefName = ejbRefName;
    }

    /**
     * @return the type of this ejb-ref.
     */
    public String getEjbRefType() {
        return ejbRefType;
    }

    /**
     * Sets the type of this reference.
     * @param ejbRefType type of reference
     */
    public void setEjbRefType(final String ejbRefType) {
        this.ejbRefType = ejbRefType;
    }

    /**
     * @return the remote element
     */
    public String getRemote() {
        return remote;
    }

    /**
     * Sets the value of remote element.
     * @param remote value of remote element
     */
    public void setRemote(final String remote) {
        this.remote = remote;
    }

}
